package io.github.lonamiwebs.overgram;

import io.github.lonamiwebs.overgram.generator.Generator;
import io.github.lonamiwebs.overgram.parser.TLObject;
import io.github.lonamiwebs.overgram.parser.TLReader;

import java.io.File;
import java.io.IOException;
import java.util.List;
import java.util.Map;

public class Overgram {
    public static void main(final String... args) {
        final Map<String, List<TLObject>> objects = TLReader.readTlObjects(new File("telegram_api.tl"));
        try {
            Generator.generateJava(
                    objects.get("types"),
                    objects.get("functions"),
                    new File("Abstract.java"),
                    new File("Types.java"),
                    new File("Functions.java")
            );
        } catch (IOException ignored) {
        }
    }
}
